<?php

namespace App\Classes\Modules\ControllersLogic\Companies;


use App\Classes\Modules\Companies\Services\ListsCompany;

class ListCompanyLogic
{
    /** @var  ListsCompany */
    private $ListCompany;

    /**
     * CompanyListLogic constructor.
     * @param ListsCompany $ListCompany
     */
    public function __construct(ListsCompany $ListCompany)
    {
        $this->ListCompany = $ListCompany;
    }


    public function execute(bool $pagination){

        return $this->ListCompany->execute($pagination);
    }
}